package com.miami.romeo.graphics;

import java.awt.*;
import java.util.*;

import javax.swing.*;

/**
 * This class returns an icon for a button.
 *
 */
public class ColorSwatch implements Icon {
  Color color;

  /**
   * Constructor
   *
   * @param color The color of the icon.
   */
  public ColorSwatch(Color color) {
    this.color = color;
  }

  public int getIconWidth() {
    return 20;
  }

  public int getIconHeight() {
    return 20;
  }

  public void paintIcon(Component c, Graphics g, int x, int y) {
    g.setColor(Color.black);
    g.fillRect(x, y, getIconWidth(), getIconHeight());
    g.setColor(color);
    g.fillRect(x + 2, y + 2, getIconWidth() - 4, getIconHeight() - 4);
  }
}
