
/*==============================================================================
 *
 * (#)AboutRomeo.java
 * created      2003/02/28
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *==============================================================================
 */

package com.miami.romeo.main.about;

//****** Imports
import javax.swing.*;
import javax.swing.border.*;

import java.awt.*;
import java.awt.event.*;
import java.io.*;

import com.miami.romeo.config.*;
import com.miami.romeo.internet.*;

/**
 * AboutRomeo.<br>
 * This class creates the main panel for the about box.
 *
 * @author       $Author: Stefano Bolli
 * @version      $Revision: 1.4 $Date: 2004/01/04 00:42:22 $
 */
public class AboutRomeo extends JPanel {

  //****** Classes needed by AboutRomeo.java
  Utils utils         = new Utils();
  Mailer mailer       = null;
  Hyperlink hyperlink = null;

  /**
   * The constructor initializes all components.
   */
  public AboutRomeo() {
    setLayout(null);

    String about = "<html><center>A Java based M.A.M.E. Frontend<br><br>" +
                   "Romeo Version 0.1.3pre4,<br>" +
                   "Copyright (C) 2002 - 2003 by Stefano Bolli.</center><br><br>" +
                   "This program is free software; you can redistribute it and/or<br>" +
                   "modify it under the terms of the GNU General Public License<br>" +
                   "as published by the Free Software Foundation; either version 2<br>" +
                   "of the License, or (at your option) any later version.<br><br>" +
                   "This program is distributed in the hope that it will be useful,<br>" +
                   "but WITHOUT ANY WARRANTY; without even the implied warranty of<br>" +
                   "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the<br>" +
                   "GNU General Public License for more details.<br><br>" +
                   "You should have received a copy of the GNU General Public License<br>" +
                   "along with this program; if not, write to the Free Software<br>" +
                   "Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA." +
		   "</center></html>";

    JLabel lblAbout = new JLabel(about, null, JLabel.CENTER);
    lblAbout.setBounds(0, 0, 380, 160);

    JScrollPane s = new JScrollPane(lblAbout);
    s.setBounds(0, 0, 380, 160);

    JPanel label = new JPanel();
    label.setLayout(null);
    label.setBounds(0, 0, 380, 160);
    label.add(s);
    add(label);

    JButton mailto = new JButton();
    mailto.setBounds(90, 10, 90, 30);
    mailto.setIcon(utils.createImageIcon24x24("Mail.png"));
    mailto.setText(utils.getString("AboutBox.romeo_email_button"));
    mailto.setToolTipText(utils.getString("HelpMenu.mail_label"));
    mailto.addActionListener(new Mail());

    JButton web = new JButton();
    web.setBounds(200, 10, 90, 30);
    web.setIcon(utils.createImageIcon24x24("Gohome.png"));
    web.setText("<html><a href=>" + utils.getString("AboutBox.romeo_web_button") + "</a></html>");
    web.setToolTipText(utils.getString("HelpMenu.web_label"));
    web.addActionListener(new Web());

    JPanel buttons = new JPanel();
    buttons.setLayout(null);
    buttons.setBounds(0, 160, 380, 50);
    buttons.add(mailto);
    buttons.add(web);
    add(buttons);
  }

  class Mail implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      if(mailer == null)
	mailer = new Mailer();
      else
        mailer.setVisible(true);
    }
  }

  class Web implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      final String homepage = "http://stefanobolli.sourceforge.net/";

      Thread thread = new Thread() {
        public void run() {
          utils.goToUrl(homepage);
	}
      };
      thread.start();
    }
  }
}
