package com.miami.romeo.main.list;

import java.awt.*;

import javax.swing.*;
import javax.swing.border.*;
// Jlist
import javax.swing.JList;
import javax.swing.ListCellRenderer;
import javax.swing.DefaultListModel;

/**
 * Cell renderer for JList
 */
public class JListCellRenderer extends JLabel implements ListCellRenderer {
  ImageIcon icon;
  
  public JListCellRenderer (ImageIcon icon) {
    this.icon = icon;
    // Don't paint behind the component
    setOpaque(true);
  }

  // Set the attributes of the class and return a reference
  public Component getListCellRendererComponent(
    JList list,
    Object value,            // value to display
    int index,               // cell index
    boolean isSelected,      // is the cell selected
    boolean cellHasFocus)    // the list and the cell have the focus 
    {
    
    setIcon(icon);
    setFont(list.getFont());

    setText(((ListItem)value).getValue());
    
    //background color for rendering
    Color c = ((ListItem)value).getColor();

    setBackground(c);
    
    int r = c.getRed();
    int g = c.getGreen();
    int b = c.getBlue();

    if(r > 240 || g > 240) {
      setForeground(Color.black);
    } else {
      setForeground(Color.white);
    }

    // Set a border if the list item is selected
    if (isSelected) {
      setBorder(BorderFactory.createLineBorder(Color.blue, 2));
    } else {
      setBorder(BorderFactory.createLineBorder(list.getBackground(), 2));
    }

    return this;
  }
}
