package com.miami.romeo.settings;

import java.awt.*;

import javax.swing.*;
import javax.swing.border.*;
// Jlist
import javax.swing.JList;
import javax.swing.ListCellRenderer;
import javax.swing.DefaultListModel;

import com.miami.romeo.config.*;

/**
 * Cell renderer for JList
 */
public class SettingsListCellRenderer extends JLabel implements ListCellRenderer {
  Utils utils = new Utils();

  ImageIcon configureIcon,
            lookAndFeelIcon,
	    xmameIcon,
            dataStoringIcon,
	    internetIcon;

  public SettingsListCellRenderer () {
    this.configureIcon   = utils.createImageIcon32x32("Configure.png");
    this.lookAndFeelIcon = utils.createImageIcon32x32("Looknfeel.png");
    this.xmameIcon       = utils.createImageIcon32x32("Exec.png");
    this.dataStoringIcon = utils.createImageIcon32x32("Save.png");
    this.internetIcon    = utils.createImageIcon32x32("Internet.png");
    // Don't paint behind the component
    setOpaque(true);
  }

  // Set the attributes of the class and return a reference
  public Component getListCellRendererComponent(
    JList list,
    Object value,            // value to display
    int index,               // cell index
    boolean isSelected,      // is the cell selected
    boolean cellHasFocus)    // the list and the cell have the focus
    {
    
    if (isSelected) {
      setBackground(list.getSelectionBackground());
      setForeground(list.getSelectionForeground());
      setBorder(BorderFactory.createLineBorder(Color.blue, 2));
    } else {
      setBackground(list.getBackground());
      setForeground(list.getForeground());
      setBorder(BorderFactory.createLineBorder(list.getBackground(), 2));
    }

    String s = value.toString();
    
    setHorizontalAlignment(JLabel.CENTER);

    if (s.equals(utils.getString("Settings.panel1_label")))
      setIcon(configureIcon);
    else if (s.equals(utils.getString("Settings.panel2_label")))
      setIcon(lookAndFeelIcon);
    else if (s.equals(utils.getString("Settings.panel3_label")))
      setIcon(xmameIcon);
    else if (s.equals(utils.getString("Settings.panel4_label")))
      setIcon(dataStoringIcon);
    else if (s.equals(utils.getString("Settings.panel5_label")))
      setIcon(internetIcon);

    setFont(list.getFont().deriveFont(1, 12));

    setText(" " + s + " ");

    // Set the position of the text, relative to the icon
    setVerticalTextPosition(JLabel.BOTTOM);
    setHorizontalTextPosition(JLabel.CENTER);

    return this;
  }
}
